Up

# NSWindowController

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)
Carl Lindberg (`Carl.Lindberg@hbo.com`)

Copyright: (C) 2000 Free Software Foundation, Inc.

# Software documentation for the NSWindowController class

## NSWindowController : NSObject

> Declared in:
>   AppKit/NSWindowController.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -close
- -document
- -initWithWindow:
- -initWithWindowNibName:
- -initWithWindowNibName:owner:
- -initWithWindowNibPath:owner:
- -isWindowLoaded
- -loadWindow
- -owner
- -setDocument:
- -setDocumentEdited:
- -setShouldCascadeWindows:
- -setShouldCloseDocument:
- -setWindow:
- -setWindowFrameAutosaveName:
- -shouldCascadeWindows
- -shouldCloseDocument
- -showWindow:
- -synchronizeWindowTitleWithDocumentName
- -window
- -windowDidLoad
- -windowFrameAutosaveName
- -windowNibName
- -windowNibPath
- -windowTitleForDocumentDisplayName:
- -windowWillLoad

### close

- (void) close;

Description forthcoming.

### document

- (id) document;

Description forthcoming.

### initWithWindow:

- (id) initWithWindow: (NSWindow*)window;

Description forthcoming.

### initWithWindowNibName:

- (id) initWithWindowNibName: (NSString*)windowNibName;

Description forthcoming.

### initWithWindowNibName:owner:

- (id) initWithWindowNibName: (NSString*)windowNibName owner: (id)owner;

Description forthcoming.

### initWithWindowNibPath:owner:

- (id) initWithWindowNibPath: (NSString*)windowNibPath owner: (id)owner;

Description forthcoming.

### isWindowLoaded

- (BOOL) isWindowLoaded;

Description forthcoming.

### loadWindow

- (void) loadWindow;

Description forthcoming.

### owner

- (id) owner;

Description forthcoming.

### setDocument:

- (void) setDocument: (NSDocument*)document;

Sets the document associated with this controller. A document automatically calls this method when adding a window controller to its list of window controllers. You should not call this method directly when using NSWindowController with an NSDocument or subclass.

### setDocumentEdited:

- (void) setDocumentEdited: (BOOL)flag;

Description forthcoming.

### setShouldCascadeWindows:

- (void) setShouldCascadeWindows: (BOOL)flag;

Description forthcoming.

### setShouldCloseDocument:

- (void) setShouldCloseDocument: (BOOL)flag;

Description forthcoming.

### setWindow:

- (void) setWindow: (NSWindow*)aWindow;

Sets the window that this controller managers to aWindow. The old window is released.

### setWindowFrameAutosaveName:

- (void) setWindowFrameAutosaveName: (NSString*)name;

Description forthcoming.

### shouldCascadeWindows

- (BOOL) shouldCascadeWindows;

Description forthcoming.

### shouldCloseDocument

- (BOOL) shouldCloseDocument;

Description forthcoming.

### showWindow:

- (IBAction) showWindow: (id)sender;

Description forthcoming.

### synchronizeWindowTitleWithDocumentName

- (void) synchronizeWindowTitleWithDocumentName;

Description forthcoming.

### window

- (NSWindow*) window;

Description forthcoming.

### windowDidLoad

- (void) windowDidLoad;

Description forthcoming.

### windowFrameAutosaveName

- (NSString*) windowFrameAutosaveName;

Description forthcoming.

### windowNibName

- (NSString*) windowNibName;

Description forthcoming.

### windowNibPath

- (NSString*) windowNibPath;

Description forthcoming.

### windowTitleForDocumentDisplayName:

- (NSString*) windowTitleForDocumentDisplayName: (NSString*)displayName;

Description forthcoming.

### windowWillLoad

- (void) windowWillLoad;

Description forthcoming.

Up